package de.votian.services.entity;

import jakarta.persistence.Column;
import jakarta.persistence.Entity;
import jakarta.persistence.Id;
import jakarta.persistence.IdClass;
import jakarta.persistence.Table;

import java.math.BigDecimal;

@Entity
@Table(name = "servicezonemapping")
@IdClass(ServiceZoneMappingId.class)
public class ServiceZoneMapping {

    @Id
    @Column(name = "srvz_id")
    private Long zoneId;

    @Id
    @Column(name = "srvp_id")
    private Long zipCodeId;

    @Column(name = "srvzm_mt_1")
    private BigDecimal mappedValue1;

    @Column(name = "srvzm_mt_2")
    private BigDecimal mappedValue2;

    @Column(name = "srvzm_mt_3")
    private BigDecimal mappedValue3;

    public Long getZoneId() {
        return zoneId;
    }

    public void setZoneId(Long zoneId) {
        this.zoneId = zoneId;
    }

    public Long getZipCodeId() {
        return zipCodeId;
    }

    public void setZipCodeId(Long zipCodeId) {
        this.zipCodeId = zipCodeId;
    }

    public BigDecimal getMappedValue1() {
        return mappedValue1;
    }

    public void setMappedValue1(BigDecimal mappedValue1) {
        this.mappedValue1 = mappedValue1;
    }

    public BigDecimal getMappedValue2() {
        return mappedValue2;
    }

    public void setMappedValue2(BigDecimal mappedValue2) {
        this.mappedValue2 = mappedValue2;
    }

    public BigDecimal getMappedValue3() {
        return mappedValue3;
    }

    public void setMappedValue3(BigDecimal mappedValue3) {
        this.mappedValue3 = mappedValue3;
    }
}
